Skip to main content
POST
/
v0
/
search
Search satellite images
curl --request POST \
  --url https://api.pixxel.space/v0/search \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "start_date": "2023-04-18T11:56:49.865Z",
  "end_date": "2023-05-03T11:56:49.865Z",
  "satellites": [
    {
      "collection_id": "sentinel-2-l2a",
      "satellite_id": "0002a3a3-00a2-4b55-842b-44d8202c6d60"
    }
  ],
  "geometry": {
    "coordinates": "<unknown>",
    "type": "Polygon"
  },
  "filters": [
    {
      "id": "eo:cloud_cover",
      "min": 0,
      "max": 100
    }
  ],
  "limit": 10
}
'
{
  "items": {},
  "pagination": {
    "limit": 10,
    "skip": 0,
    "total": 100
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.pixxel.space/llms.txt

Use this file to discover all available pages before exploring further.

📚 View developer guide to learn more

Authorizations

Authorization
string
header
required

Body

application/json

Search Query Parameters

start_date
string
required
Example:

"2023-04-18T11:56:49.865Z"

end_date
string
required
Example:

"2023-05-03T11:56:49.865Z"

satellites
object[]
required
geometry
object
required
filters
object[]
limit
integer
Required range: 1 <= x <= 10000
Example:

10

Response

OK

items
object
pagination
object